<?php
/**
 * Clase que representa el tipo para una factura que se asocia a una Oferta.
 **/
class OfertaFacturaBtMalaga extends ServicioFacturaBtMalaga {

    /**
     * Función que devuelve los campos para editar
     * el contenido como subcampo.
     **/
    protected function cargarSubContenido() {
          $camposEditable = parent::cargarSubContenido();
      
  	  //Oferta.
	  $columnasOferta = '{"Campos":[
	                                                   {"Nombre": "", "Columna":"Seleccionado", "Ordenacion":"na", "Tipo":"ra", "Tamano":20, "Filtro":"&nbsp;", "Alineacion":"left"},
		                                           {"Nombre": "Titulo", "Columna":"Titulo", "Ordenacion":"str", "Tipo":"ro", "Tamano":180, "Filtro":"#text_filter", "Alineacion":"left"},
		                                           {"Nombre": "Descripcion", "Columna":"DescripcionFormateada", "Ordenacion":"str", "Tipo":"ro", "Tamano":"*", "Filtro":"#text_filter", "Alineacion":"left"}
                                                         ]}';
          $sistema = Session::get(ComponenteBtMalagaControl::SISTEMA); 
          $records = DB::query('select distinct ContenidoEditable.ClassName,ContenidoEditableConPermisos.*,OfertaBtMalaga.*,ServicioBtMalaga.* from ContenidoEditable,ContenidoEditableConPermisos,OfertaBtMalaga,ServicioBtMalaga where ContenidoEditable.ID=OfertaBtMalaga.ID and ContenidoEditableConPermisos.ID=ContenidoEditable.ID and ServicioBtMalaga.ID=OfertaBtMalaga.ID and ServicioBtMalaga.SistemaID = '.$sistema.' and ServicioBtMalaga.Publicado = 1 and ServicioBtMalaga.Borrado=0');
          $ofertas = singleton('OfertaBtMalaga')->buildDataObjectSet($records);
	  $ofertaField = new DataGridField(
	                                   'ServicioID',
                                           $columnasOferta,
                                           $ofertas,
	                                   $this->ServicioID
	                                  );     
	  $campoOferta = new CampoEditable();
          $campoOferta->setNombre('Oferta');
          $campoOferta->setField($ofertaField);
          $campoOferta->setValidador(new ReferenciaRequeridaValidador());
          $camposEditable->add($campoOferta);
                        
          return $camposEditable;      
    } 

    public function ponerEnHeredados() {
      return true;
    }

    
}
?>